Subject: Re: bug#48796: Guix on Debian 11 - Cant run or find applications from Guix

From: Maxime Devos <[email-masked]>
Date: Sat, 05 Jun 2021 11:47:53 +0200

bo0od schreef op do 03-06-2021 om 23:18 [+0000]:
>  > Which icon are you looking at? The icon in a desktop menu?
>  > The ‘cat around a globe’ image you'd see on ‘new tab’ windows
>  > above the search bar? The same image, but downscaled, before
>  > ‘New Tab’ in the tab bar?
> 
> There is nothing exist of any kind from icons. (icecat starting icon in 
> the applications menu or so)

For clarification, which option applies?

  (a) IceCat does not appear in the application menu at all
  (b) or:
      IceCat does appear in the application menu, but its icon
      is missing (but there is still some text like ‘GNU IceCat webbrowser’)

>  > I can use IceCat just fine from the terminal (Guix System),
>  > more details are needed, ‘I can't run it’ is rather vague.
>  > Is there any log output, does IceCat start but crash soon,
> 
> I can use that as well fine in guixsd, But not in debian.
> 
>  > maybe ‘bash: icecat: command not found’, ...?
> 
> yes, and if i type ice and press Tab nothing appearing.

What's the output of "echo $PATH"? Normally, $HOME/.guix-profile/bin
should be present in $PATH, but maybe somehow it isn't.

Also, what's the output of
  ls -l ~/.guix-profile/bin/icecat

and
  ls -l ~/.guix-profile/bin
?

Greetings,
Maxime.